Bug 1445318 - [RFE] CFME 4.1 EMS Refresh should be targeted for folder create, as opposed to a full EMS Refresh
Summary: [RFE] CFME 4.1 EMS Refresh should be targeted for folder create, as opposed t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.3
Assignee: Adam Grare
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1378984
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 13:24 UTC by Satoe Imaishi
Modified: 2020-04-15 15:34 UTC (History)
5 users (show)

Fixed In Version: 5.7.3.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1378984
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-10 22:41:17 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/80f832f9b018ea33d4a7c93a2964c07cb308c811

commit 80f832f9b018ea33d4a7c93a2964c07cb308c811
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Apr 24 09:38:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 10 18:39:34 2017 -0400

    Merge pull request #32 from agrare/folder_targeted_refresh
    
    Allow folder as refresh target
    (cherry picked from commit fe45b7ccfa2c92daf40cc6b06e19684e58b8d0e7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445318

 .../providers/vmware/infra_manager/event_parser.rb |  19 +++
 .../vmware/infra_manager/refresh_parser/filter.rb  |  90 +++++++++++++-
 .../providers/vmware/infra_manager/refresher.rb    |   4 +-
 .../infra_manager/refresh_parser/filter_spec.rb    | 134 ++++++++++++++++++++-
 4 files changed, 240 insertions(+), 7 deletions(-)

Comment 3 CFME Bot 2017-05-23 14:25:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/42388d22f33bcb9371385db33680b2a05aa1cfa8

commit 42388d22f33bcb9371385db33680b2a05aa1cfa8
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Apr 24 13:45:40 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue May 23 09:58:57 2017 -0400

    Merge pull request #100 from agrare/bz_1378984_new_folder_targeted_refresh
    
    Remove createfolder event handler since it is now handled by MiqVimBrokerWorker
    (cherry picked from commit bc925cd28553330e5b7cade15dceab15ad356947)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445318

 .../System/Event/EmsEvent/VC.class/createfolder.yaml         | 12 ------------
 1 file changed, 12 deletions(-)
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Event/EmsEvent/VC.class/createfolder.yaml

Comment 4 Nandini Chandra 2017-06-16 13:00:01 UTC
Verified in 5.7.3.1

Comment 6 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.